Package org.kapott.cryptalgs

# Class RetailMAC

java.lang.Object
org.kapott.cryptalgs.RetailMAC

public class RetailMAC extends Object

## Constructor Summary

Constructors
Constructor
Description
`RetailMAC(Key key, IvParameterSpec iv)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`doFinal()`
`byte[]`
`doFinal(byte[] data)`
`int`
`getMacLength()`
`void`
`reset()`
`void`
`update(byte data)`
`void`
`update(byte[] ibuffer, int offset1, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetailMAC

public RetailMAC(Key key, IvParameterSpec iv)

## Method Details

### doFinal

public byte[] doFinal(byte[] data)

### doFinal

public byte[] doFinal()

### update

public void update(byte data)

### reset

public void reset()

### getMacLength

public int getMacLength()

### update

public void update(byte[] ibuffer, int offset1, int len)